Bug 56250 - service network restart does not adequately restart a static interface after dhcp unconfig
service network restart does not adequately restart a static interface after ...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-14 11:51 EST by Bishop Clark
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-14 11:51:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bishop Clark 2001-11-14 11:51:33 EST
Description of Problem:
After configuring an interface previously configured via dhcp, and the 'network' init script is used to restart the interface, the interface is 
incorrectly configured : the static configuration (present in ifcfg-eth0) is ignored, and the old, DHCP-given address is used.



Version-Release number of selected component (if applicable):
6.40-1

How Reproducible:
always, once encountered

Steps to Reproduce:
1. configure (netconfig) eth0 to use DHCP, acquire DHCP address and use system.  Perhaps reboot to ensure no temprary settings.
2. use netconfig to configure interface statically and issue a network restart to implement the configuration
3. check bad config using ifconfig

Actual Results:
eth0 is still using old, DHCP-delivered address

Expected Results:
eth0 should use the new information

Additional Information:
A reboot, after static config, seems to correct the problem.  Then again, this isn't windows, and a reboot isn't anticipated as a 
config-change requirement, now, is it?

(oh, linuxconf, we hardly knew ye ! )
Comment 1 Bill Nottingham 2001-11-14 11:54:52 EST
This should be fixed in initscripts-6.40.2-1, I believe.
Comment 2 Bishop Clark 2001-11-14 12:02:31 EST
really?  eeek!  Bad bishop!  No biscuit!  I'll gather up the rawhide bits and add them in .. and I'll report if it's still misbehaving.
Comment 3 Bishop Clark 2001-11-16 15:15:12 EST
Yep, that's got it.   Good job, eh?

Note You need to log in before you can comment on or make changes to this bug.